# Name of the plugin.
name=Interpan
category=Utility

# Any string is allowable here.  Generally it is either: Production Ready, Test Tool, or Extension Needed
qualityString=Production Ready (Certifiable)
# This must be one of the following:  productionReady, testTool, extensionNeeded
quality=production

introducedIn=se-1.1-07-5356-16

# Description of the plugin.
description=A plugin to handle sending and receiving interpan messages, messages that are sent by unjoined devices 1-hop away.

# List of .c files that need to be compiled and linked in.
sourceFiles=interpan.c, interpan-cli.c
sourceFilesSoc=interpan-soc.c
sourceFilesHost=interpan-host.c

# List of callbacks implemented by this plugin
implementedCallbacks=emberAfPluginInterpanInitCallback,emberAfPluginInterpanNcpInitCallback,emberMacFilterMatchMessageHandler,ezspMacFilterMatchMessageHandler,emberAfInterpanSendMessageCallback

# Turn this on by default
includedByDefault=false

# Which clusters does it depend on, This plugin is cluster independent.

options=allowRequiredSmartEnergyMessages, allowSmartEnergyResponseMessages, allowKeyEstablishment, allowApsEncryptedMessages, deliverTo, deliverToSpecifiedEndpointValue, allowFragmentation

allowRequiredSmartEnergyMessages.name=Allow required Smart Energy interpan request messages
allowRequiredSmartEnergyMessages.description=Modifies the interpan filters to accept the required interpan Smart Energy messages: Get Last Message, Get Current Price, and Get Scheduled Price.
allowRequiredSmartEnergyMessages.type=BOOLEAN
allowRequiredSmartEnergyMessages.default=TRUE

allowSmartEnergyResponseMessages.name=Allow Smart Energy interpan response messages.
allowSmartEnergyResponseMessages.description= Allows the Publish Price and Display Message commands to be accepted over interpan.  This is NOT required for Smart Energy certification.
allowSmartEnergyResponseMessages.type=BOOLEAN
allowSmartEnergyResponseMessages.default=FALSE

deliverTo.name=Deliver Interpan Messages to 
deliverTo.description=This controls where interpan messages are delivered to, since the interpan message format has no APS endpoint information.
deliverTo.type=LIST:PrimaryEndpoint,SpecifiedEndpoint,AllEndpoints
deliverTo.default=PrimaryEndpoint

deliverToSpecifiedEndpointValue.name=Deliver to Specified Endpoint
deliverToSpecifiedEndpointValue.description=When the option above is selected to deliver to a 'Specified Endpoint', this controls what endpoint the interpan messages are delivered to.
deliverToSpecifiedEndpointValue.type=NUMBER:1,254
deliverToSpecifiedEndpointValue.default=1

allowKeyEstablishment.name=Allow Key Establishment protocol over interpan (non-compliant)
allowKeyEstablishment.description=Adds an interpan policy to accept key establishment messages received over interpan.  This feature is not ZigBee compliant.
allowKeyEstablishment.type=BOOLEAN
allowKeyEstablishment.default=FALSE

allowApsEncryptedMessages.name=Allow any APS encrypted interpan message (non-compliant)
allowApsEncryptedMessages.description=This option will permit the reception of any interpan message that successfully decrypts using a link key.  This bypasses the normal filters for non-encrypted (i.e. normal) interpan messages.  Only device specific link keys are allowed.  The global link key is not allowed.  This feature is not ZigBee compliant.
allowApsEncryptedMessages.type=BOOLEAN
allowApsEncryptedMessages.default=FALSE

allowFragmentation.name=Allow interpan fragmentation (IPMFs) (non-compliant)
allowFragmentation.description=This option will permit the transmission and reception of interpan fragments.
allowFragmentation.type=BOOLEAN
allowFragmentation.default=FALSE

events=fragmentTransmit, fragmentReceive
